/**
 * Copyright (c) 2020 ~ 2021 KylinSec Co., Ltd. 
 * kiran-cpanel-menu is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2. 
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2 
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, 
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, 
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.  
 * See the Mulan PSL v2 for more details.  
 * 
 * Author:     liuxinhao <liuxinhao@kylinos.com.cn>
 */

#ifndef KIRANSTARTMENUDISPLAYLABEL_H
#define KIRANSTARTMENUDISPLAYLABEL_H

#include <QLabel>

class KiranStartMenuDisplayLabel : public QLabel
{
    Q_OBJECT
public:
    explicit KiranStartMenuDisplayLabel(QWidget *parent = nullptr);

    void setBgOpacity(double bgOpacity);
    void setDisplayMd(const QString &displayMd);
    void setDefultPge(const QString &defultPge);

private:
    void paintEvent(QPaintEvent *event);
    void drawR1Items(QRectF rectf, QPainter *painter);
    void drawR2Items(QRectF rectf, QPainter *painter);
    void drawR3Items(QRectF rectf, QPainter *painter);

private:
    double m_bgOpacity;
    QString m_displayMd;
    QString m_defultPge;
    QImage m_backgroundImage;
};

#endif // KIRANSTARTMENUDISPLAYLABEL_H
