/**
 * Copyright (c) 2020 ~ 2021 KylinSec Co., Ltd. 
 * kiran-cpanel-menu is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2. 
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2 
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, 
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, 
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.  
 * See the Mulan PSL v2 for more details.  
 * 
 * Author:     liuxinhao <liuxinhao@kylinos.com.cn>
 */

#pragma once

#include <QWidget>

namespace Ui {
class KiranStartMenuSettings;
}

class QGSettings;
class KiranStartMenuSettings : public QWidget
{
    Q_OBJECT

public:
    explicit KiranStartMenuSettings(QWidget *parent = 0);
    ~KiranStartMenuSettings();

    virtual QSize sizeHint() const override;

Q_SIGNALS:
    void sigClose();

private Q_SLOTS:
    void onXSMSButtonToggled(int id, bool checked);
    void onMRYEButtonToggled(int id, bool checked);
    void onOk();
    void onCancel();
    void on_spinBox_valueChanged(int arg1);

private:
    void updateWidget();

private:
    Ui::KiranStartMenuSettings *ui;
    QGSettings *m_gsettings;
};